/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2022  SEGGER Microcontroller GmbH                *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : ID_SCREEN_BUC_INFO_ID_UPDATE_Slots.c
Purpose     : AppWizard managed file, function content could be changed
---------------------------END-OF-HEADER------------------------------
*/

#include "Application.h"
#include "../Generated/Resource.h"
#include "../Generated/ID_SCREEN_BUC_INFO_ID_UPDATE.h"
#include "../Generated/ID_SCREEN_BUC_INFO.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "../utilities/fsl_debug_console.h"

/*** Begin of user code area ***/
/*** End of user code area ***/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       cbID_SCREEN_BUC_INFO_ID_UPDATE
*/
void cbID_SCREEN_BUC_INFO_ID_UPDATE(WM_MESSAGE * pMsg) {
  GUI_USE_PARA(pMsg);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO_ID_UPDATE__ID_BUTTON_BACK_BUC_INFO_UPDATE__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_INFO_ID_UPDATE__ID_BUTTON_BACK_BUC_INFO_UPDATE__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO_ID_UPDATE__ID_BUTTON_BUC_ID_UPDATE_SAVE__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_INFO_ID_UPDATE__ID_BUTTON_BUC_ID_UPDATE_SAVE__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
	APPW_GetText(ID_SCREEN_BUC_INFO_ID_UPDATE, ID_EDIT_BUC_ID_UPDATE_VAL, gui_BUC_Info_ID, sizeof(gui_BUC_Info_ID));
	if(strlen(gui_BUC_Info_ID)==0)
	{
		BUC_Info_Buc_ID_Save_Flag=0;
		PRINTF("\n\rID is NULL");
	}
	else
	{
		BUC_Info_Buc_ID_Save_Flag=1;
	}
	//PRINTF("\n\r gui_BUC_Info_ID=%s",gui_BUC_Info_ID);
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*************************** End of file ****************************/
